Skip to main content
PATCH
/
api
/
v2
/
public
/
tables
/
:table_id
curl -X PATCH "https://app.refold.ai/api/v2/public/tables/{table_id}" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "linked_account_id: YOUR_LINKED_ACCOUNT_ID" \
  -H "Content-Type: application/json" \
  -d '{
    "data": [
      { "email": "jane@example.com", "stage": "new" },
      { "email": "john@example.com", "stage": "qualified" }
    ]
  }'
{
  "add_record_result": [
    { "record_id": "02cd01ca-c09f-4f91-893d-222ab529f585", "email": "jane@example.com", "stage": "new" },
    { "record_id": "166047e8-f290-416b-ab4c-0fd03119d9f6", "email": "john@example.com", "stage": "qualified" }
  ]
}
Add one or more records to a persistent table. Pass a single object or an array of objects in data; each is assigned a generated record_id.

Authentication

x-api-key
string
required
Your Refold API key.
linked_account_id
string
required
The linked account that owns the table.

Path Parameters

table_id
string
required
The table ID.

Body Parameters

data
object | array
required
A record object, or an array of record objects. Keys should match the table’s columns.

Response

add_record_result
array
The inserted records, each with its generated record_id.
{
  "add_record_result": [
    { "record_id": "02cd01ca-c09f-4f91-893d-222ab529f585", "email": "jane@example.com", "stage": "new" },
    { "record_id": "166047e8-f290-416b-ab4c-0fd03119d9f6", "email": "john@example.com", "stage": "qualified" }
  ]
}
curl -X PATCH "https://app.refold.ai/api/v2/public/tables/{table_id}" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "linked_account_id: YOUR_LINKED_ACCOUNT_ID" \
  -H "Content-Type: application/json" \
  -d '{
    "data": [
      { "email": "jane@example.com", "stage": "new" },
      { "email": "john@example.com", "stage": "qualified" }
    ]
  }'